<!--
  Copyright: (c) 2020-2021, VTK Gent vzw
  GNU Affero General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/agpl-3.0.txt)
-->

<template>
  <v-footer class="studium-footer">
    <v-container>
      <v-row justify="space-between" class="py-3">
        <!-- Copyright -->
        <v-col cols="12" sm="12" md="auto">
          <p class="text-center text-sm-start">
            Copyright @ {{ new Date().getFullYear() }}

            <a class="studium-clickable-text" style="text-decoration: none" href="https://www.vtk.ugent.be">
              VTK Ghent vzw.
            </a>

            All rights reserved.
          </p>
        </v-col>

        <!-- Links -->
        <v-col cols="12" sm="12" md="auto">
          <p class="text-center text-sm-start">
            <!-- About -->
            <nuxt-link v-show="$auth.loggedIn" class="footbar-link studium-clickable-text" :to="localePath('/about')">
              {{ $t('footbar.about') }}
            </nuxt-link>

            <!-- Privacy Policy -->
            <nuxt-link
              class="footbar-link studium-clickable-text"
              :to="localePath({ name: 'agreements-name', params: { name: 'privacy' } })"
            >
              {{ $t('footbar.privacy') }}
            </nuxt-link>

            <!-- Terms of Service -->
            <nuxt-link
              class="footbar-link studium-clickable-text"
              :to="localePath({ name: 'agreements-name', params: { name: 'terms' } })"
            >
              {{ $t('footbar.terms') }}
            </nuxt-link>

            <!-- Cookies -->
            <a class="footbar-link studium-clickable-text" href="https://www.ugent.be/en/cookies" target="blank">
              {{ $t('footbar.cookies') }}
            </a>

            <!-- Source -->
            <a class="footbar-link studium-clickable-text" href="https://gitlab.com/vtkgent/studium" target="blank">
              <v-tooltip top>
                <template #activator="{ on, attrs }">
                  <v-icon v-bind="attrs" v-on="on"> mdi-xml </v-icon>
                </template>
                <span>{{ $t('footbar.source') }}</span>
              </v-tooltip>
            </a>

            <!-- Community -->
            <a class="footbar-link studium-clickable-text" href="https://discord.gg/ZZecxH7r7y" target="blank">
              <v-tooltip top>
                <template #activator="{ on, attrs }">
                  <v-icon v-bind="attrs" v-on="on"> mdi-message-text-outline </v-icon>
                </template>
                <span>{{ $t('footbar.discord') }}</span>
              </v-tooltip>
            </a>

            <!-- Contact -->
            <nuxt-link
              v-show="$auth.loggedIn"
              class="footbar-link studium-clickable-text"
              :to="localePath('/contact')"
            >
              {{ $t('footbar.contact') }}
            </nuxt-link>
            <a v-show="!$auth.loggedIn" class="footbar-link studium-clickable-text" href="mailto:contact@studium.gent">
              {{ $t('footbar.contact') }}
            </a>
          </p>
        </v-col>
      </v-row>
    </v-container>
  </v-footer>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'

export default defineComponent({
  setup() {},
})
</script>

<style lang="scss" scoped>
p {
  margin: 0;
  color: $secondary;
  font-weight: 400;
  font-size: 14px;
}

.container {
  padding-top: 12px !important;
}

.footbar-link {
  border-right: 1px solid $secondary-background;
  padding: 0 7px;

  &:last-child {
    border-right: none;
  }
}
</style>
